weka.core.pmml.jaxbbindings

## Class ObjectFactory

- java.lang.Object
- - weka.core.pmml.jaxbbindings.ObjectFactory

-     public class ObjectFactory
      extends java.lang.Object

  This object contains factory methods for each Java content interface and Java element interface generated in the weka.core.pmml.jaxbbindings package.

  An ObjectFactory allows you to programatically construct new instances of the Java representation for XML content. The Java representation of XML content can consist of schema derived interfaces and classes representing the binding of schema type definitions, element declarations and model groups. Factory methods for each of these are provided in this class.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ObjectFactory()` Create a new ObjectFactory that can be used to create new instances of schema derived classes for package: weka.core.pmml.jaxbbindings

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Aggregate` | `createAggregate()` Create an instance of `Aggregate`
    `Alternate` | `createAlternate()` Create an instance of `Alternate`
    `Annotation` | `createAnnotation()` Create an instance of `Annotation`
    `Anova` | `createAnova()` Create an instance of `Anova`
    `AnovaRow` | `createAnovaRow()` Create an instance of `AnovaRow`
    `AntecedentSequence` | `createAntecedentSequence()` Create an instance of `AntecedentSequence`
    `AnyDistribution` | `createAnyDistribution()` Create an instance of `AnyDistribution`
    `Application` | `createApplication()` Create an instance of `Application`
    `Apply` | `createApply()` Create an instance of `Apply`
    `javax.xml.bind.JAXBElement<java.lang.Object>` | `createARIMA(java.lang.Object value)` Create an instance of `JAXBElement``<``Object``>`}
    `javax.xml.bind.JAXBElement<ArrayType>` | `createArray(ArrayType value)` Create an instance of `JAXBElement``<``ArrayType``>`}
    `ArrayType` | `createArrayType()` Create an instance of `ArrayType`
    `AssociationModel` | `createAssociationModel()` Create an instance of `AssociationModel`
    `AssociationRule` | `createAssociationRule()` Create an instance of `AssociationRule`
    `Attribute` | `createAttribute()` Create an instance of `Attribute`
    `BaseCumHazardTables` | `createBaseCumHazardTables()` Create an instance of `BaseCumHazardTables`
    `Baseline` | `createBaseline()` Create an instance of `Baseline`
    `BaselineCell` | `createBaselineCell()` Create an instance of `BaselineCell`
    `BaselineModel` | `createBaselineModel()` Create an instance of `BaselineModel`
    `BaselineStratum` | `createBaselineStratum()` Create an instance of `BaselineStratum`
    `BayesInput` | `createBayesInput()` Create an instance of `BayesInput`
    `BayesInputs` | `createBayesInputs()` Create an instance of `BayesInputs`
    `BayesOutput` | `createBayesOutput()` Create an instance of `BayesOutput`
    `BinarySimilarity` | `createBinarySimilarity()` Create an instance of `BinarySimilarity`
    `BoundaryValueMeans` | `createBoundaryValueMeans()` Create an instance of `BoundaryValueMeans`
    `BoundaryValues` | `createBoundaryValues()` Create an instance of `BoundaryValues`
    `CategoricalPredictor` | `createCategoricalPredictor()` Create an instance of `CategoricalPredictor`
    `Categories` | `createCategories()` Create an instance of `Categories`
    `Category` | `createCategory()` Create an instance of `Category`
    `Characteristic` | `createCharacteristic()` Create an instance of `Characteristic`
    `Characteristics` | `createCharacteristics()` Create an instance of `Characteristics`
    `Chebychev` | `createChebychev()` Create an instance of `Chebychev`
    `ChildParent` | `createChildParent()` Create an instance of `ChildParent`
    `CityBlock` | `createCityBlock()` Create an instance of `CityBlock`
    `ClassLabels` | `createClassLabels()` Create an instance of `ClassLabels`
    `Cluster` | `createCluster()` Create an instance of `Cluster`
    `ClusteringField` | `createClusteringField()` Create an instance of `ClusteringField`
    `ClusteringModel` | `createClusteringModel()` Create an instance of `ClusteringModel`
    `ClusteringModelQuality` | `createClusteringModelQuality()` Create an instance of `ClusteringModelQuality`
    `Coefficient` | `createCoefficient()` Create an instance of `Coefficient`
    `Coefficients` | `createCoefficients()` Create an instance of `Coefficients`
    `ComparisonMeasure` | `createComparisonMeasure()` Create an instance of `ComparisonMeasure`
    `Comparisons` | `createComparisons()` Create an instance of `Comparisons`
    `CompoundPredicate` | `createCompoundPredicate()` Create an instance of `CompoundPredicate`
    `CompoundRule` | `createCompoundRule()` Create an instance of `CompoundRule`
    `Con1` | `createCon()` Create an instance of `Con1`
    `ConfusionMatrix` | `createConfusionMatrix()` Create an instance of `ConfusionMatrix`
    `ConsequentSequence` | `createConsequentSequence()` Create an instance of `ConsequentSequence`
    `Constant` | `createConstant()` Create an instance of `Constant`
    `Constraints` | `createConstraints()` Create an instance of `Constraints`
    `ContStats` | `createContStats()` Create an instance of `ContStats`
    `CorrelationFields` | `createCorrelationFields()` Create an instance of `CorrelationFields`
    `CorrelationMethods` | `createCorrelationMethods()` Create an instance of `CorrelationMethods`
    `Correlations` | `createCorrelations()` Create an instance of `Correlations`
    `CorrelationValues` | `createCorrelationValues()` Create an instance of `CorrelationValues`
    `Counts` | `createCounts()` Create an instance of `Counts`
    `javax.xml.bind.JAXBElement<COUNTTABLETYPE>` | `createCountTable(COUNTTABLETYPE value)` Create an instance of `JAXBElement``<``COUNTTABLETYPE``>`}
    `COUNTTABLETYPE` | `createCOUNTTABLETYPE()` Create an instance of `COUNTTABLETYPE`
    `Covariances` | `createCovariances()` Create an instance of `Covariances`
    `CovariateList` | `createCovariateList()` Create an instance of `CovariateList`
    `DataDictionary` | `createDataDictionary()` Create an instance of `DataDictionary`
    `DataField` | `createDataField()` Create an instance of `DataField`
    `Decision` | `createDecision()` Create an instance of `Decision`
    `Decisions` | `createDecisions()` Create an instance of `Decisions`
    `DecisionTree` | `createDecisionTree()` Create an instance of `DecisionTree`
    `DefineFunction` | `createDefineFunction()` Create an instance of `DefineFunction`
    `Delimiter` | `createDelimiter()` Create an instance of `Delimiter`
    `DerivedField` | `createDerivedField()` Create an instance of `DerivedField`
    `Discretize` | `createDiscretize()` Create an instance of `Discretize`
    `DiscretizeBin` | `createDiscretizeBin()` Create an instance of `DiscretizeBin`
    `DiscrStats` | `createDiscrStats()` Create an instance of `DiscrStats`
    `DocumentTermMatrix` | `createDocumentTermMatrix()` Create an instance of `DocumentTermMatrix`
    `Euclidean` | `createEuclidean()` Create an instance of `Euclidean`
    `EventValues` | `createEventValues()` Create an instance of `EventValues`
    `ExponentialSmoothing` | `createExponentialSmoothing()` Create an instance of `ExponentialSmoothing`
    `Extension` | `createExtension()` Create an instance of `Extension`
    `FactorList` | `createFactorList()` Create an instance of `FactorList`
    `False` | `createFalse()` Create an instance of `False`
    `FieldColumnPair` | `createFieldColumnPair()` Create an instance of `FieldColumnPair`
    `FieldRef` | `createFieldRef()` Create an instance of `FieldRef`
    `FieldValue` | `createFieldValue()` Create an instance of `FieldValue`
    `FieldValueCount` | `createFieldValueCount()` Create an instance of `FieldValueCount`
    `GaussianDistribution` | `createGaussianDistribution()` Create an instance of `GaussianDistribution`
    `GeneralRegressionModel` | `createGeneralRegressionModel()` Create an instance of `GeneralRegressionModel`
    `Header` | `createHeader()` Create an instance of `Header`
    `javax.xml.bind.JAXBElement<java.util.List<java.lang.Integer>>` | `createIndices(java.util.List<java.lang.Integer> value)` Create an instance of `JAXBElement``<``List``<``Integer``>``>`}
    `InlineTable` | `createInlineTable()` Create an instance of `InlineTable`
    `InstanceField` | `createInstanceField()` Create an instance of `InstanceField`
    `InstanceFields` | `createInstanceFields()` Create an instance of `InstanceFields`
    `javax.xml.bind.JAXBElement<java.util.List<java.lang.Integer>>` | `createINTEntries(java.util.List<java.lang.Integer> value)` Create an instance of `JAXBElement``<``List``<``Integer``>``>`}
    `Interval` | `createInterval()` Create an instance of `Interval`
    `INTSparseArray` | `createINTSparseArray()` Create an instance of `INTSparseArray`
    `Item` | `createItem()` Create an instance of `Item`
    `ItemRef` | `createItemRef()` Create an instance of `ItemRef`
    `Itemset` | `createItemset()` Create an instance of `Itemset`
    `Jaccard` | `createJaccard()` Create an instance of `Jaccard`
    `KNNInput` | `createKNNInput()` Create an instance of `KNNInput`
    `KNNInputs` | `createKNNInputs()` Create an instance of `KNNInputs`
    `KohonenMap` | `createKohonenMap()` Create an instance of `KohonenMap`
    `Level` | `createLevel()` Create an instance of `Level`
    `LiftData` | `createLiftData()` Create an instance of `LiftData`
    `LiftGraph` | `createLiftGraph()` Create an instance of `LiftGraph`
    `LinearKernelType` | `createLinearKernelType()` Create an instance of `LinearKernelType`
    `LinearNorm` | `createLinearNorm()` Create an instance of `LinearNorm`
    `LocalTransformations` | `createLocalTransformations()` Create an instance of `LocalTransformations`
    `MapValues` | `createMapValues()` Create an instance of `MapValues`
    `MatCell` | `createMatCell()` Create an instance of `MatCell`
    `Matrix` | `createMatrix()` Create an instance of `Matrix`
    `MiningBuildTask` | `createMiningBuildTask()` Create an instance of `MiningBuildTask`
    `MiningField` | `createMiningField()` Create an instance of `MiningField`
    `MiningModel` | `createMiningModel()` Create an instance of `MiningModel`
    `MiningSchema` | `createMiningSchema()` Create an instance of `MiningSchema`
    `Minkowski` | `createMinkowski()` Create an instance of `Minkowski`
    `MissingValueWeights` | `createMissingValueWeights()` Create an instance of `MissingValueWeights`
    `ModelExplanation` | `createModelExplanation()` Create an instance of `ModelExplanation`
    `ModelLiftGraph` | `createModelLiftGraph()` Create an instance of `ModelLiftGraph`
    `ModelStats` | `createModelStats()` Create an instance of `ModelStats`
    `ModelVerification` | `createModelVerification()` Create an instance of `ModelVerification`
    `MultivariateStat` | `createMultivariateStat()` Create an instance of `MultivariateStat`
    `MultivariateStats` | `createMultivariateStats()` Create an instance of `MultivariateStats`
    `NaiveBayesModel` | `createNaiveBayesModel()` Create an instance of `NaiveBayesModel`
    `NearestNeighborModel` | `createNearestNeighborModel()` Create an instance of `NearestNeighborModel`
    `NeuralInput` | `createNeuralInput()` Create an instance of `NeuralInput`
    `NeuralInputs` | `createNeuralInputs()` Create an instance of `NeuralInputs`
    `NeuralLayer` | `createNeuralLayer()` Create an instance of `NeuralLayer`
    `NeuralNetwork` | `createNeuralNetwork()` Create an instance of `NeuralNetwork`
    `NeuralOutput` | `createNeuralOutput()` Create an instance of `NeuralOutput`
    `NeuralOutputs` | `createNeuralOutputs()` Create an instance of `NeuralOutputs`
    `Neuron` | `createNeuron()` Create an instance of `Neuron`
    `Node` | `createNode()` Create an instance of `Node`
    `javax.xml.bind.JAXBElement<COUNTTABLETYPE>` | `createNormalizedCountTable(COUNTTABLETYPE value)` Create an instance of `JAXBElement``<``COUNTTABLETYPE``>`}
    `NormContinuous` | `createNormContinuous()` Create an instance of `NormContinuous`
    `NormDiscrete` | `createNormDiscrete()` Create an instance of `NormDiscrete`
    `NumericInfo` | `createNumericInfo()` Create an instance of `NumericInfo`
    `NumericPredictor` | `createNumericPredictor()` Create an instance of `NumericPredictor`
    `OptimumLiftGraph` | `createOptimumLiftGraph()` Create an instance of `OptimumLiftGraph`
    `Output` | `createOutput()` Create an instance of `Output`
    `OutputField` | `createOutputField()` Create an instance of `OutputField`
    `PairCounts` | `createPairCounts()` Create an instance of `PairCounts`
    `Parameter` | `createParameter()` Create an instance of `Parameter`
    `ParameterField` | `createParameterField()` Create an instance of `ParameterField`
    `ParameterList` | `createParameterList()` Create an instance of `ParameterList`
    `ParamMatrix` | `createParamMatrix()` Create an instance of `ParamMatrix`
    `Partition` | `createPartition()` Create an instance of `Partition`
    `PartitionFieldStats` | `createPartitionFieldStats()` Create an instance of `PartitionFieldStats`
    `PCell` | `createPCell()` Create an instance of `PCell`
    `PCovCell` | `createPCovCell()` Create an instance of `PCovCell`
    `PCovMatrix` | `createPCovMatrix()` Create an instance of `PCovMatrix`
    `PMML` | `createPMML()` Create an instance of `PMML`
    `PoissonDistribution` | `createPoissonDistribution()` Create an instance of `PoissonDistribution`
    `PolynomialKernelType` | `createPolynomialKernelType()` Create an instance of `PolynomialKernelType`
    `PPCell` | `createPPCell()` Create an instance of `PPCell`
    `PPMatrix` | `createPPMatrix()` Create an instance of `PPMatrix`
    `PredictiveModelQuality` | `createPredictiveModelQuality()` Create an instance of `PredictiveModelQuality`
    `Predictor` | `createPredictor()` Create an instance of `Predictor`
    `PredictorTerm` | `createPredictorTerm()` Create an instance of `PredictorTerm`
    `Quantile` | `createQuantile()` Create an instance of `Quantile`
    `RadialBasisKernelType` | `createRadialBasisKernelType()` Create an instance of `RadialBasisKernelType`
    `RandomLiftGraph` | `createRandomLiftGraph()` Create an instance of `RandomLiftGraph`
    `javax.xml.bind.JAXBElement<java.util.List<java.lang.Double>>` | `createREALEntries(java.util.List<java.lang.Double> value)` Create an instance of `JAXBElement``<``List``<``Double``>``>`}
    `REALSparseArray` | `createREALSparseArray()` Create an instance of `REALSparseArray`
    `Regression` | `createRegression()` Create an instance of `Regression`
    `RegressionModel` | `createRegressionModel()` Create an instance of `RegressionModel`
    `RegressionTable` | `createRegressionTable()` Create an instance of `RegressionTable`
    `ResultField` | `createResultField()` Create an instance of `ResultField`
    `ROC` | `createROC()` Create an instance of `ROC`
    `ROCGraph` | `createROCGraph()` Create an instance of `ROCGraph`
    `Row` | `createRow()` Create an instance of `Row`
    `RuleSelectionMethod` | `createRuleSelectionMethod()` Create an instance of `RuleSelectionMethod`
    `RuleSet` | `createRuleSet()` Create an instance of `RuleSet`
    `RuleSetModel` | `createRuleSetModel()` Create an instance of `RuleSetModel`
    `Scorecard` | `createScorecard()` Create an instance of `Scorecard`
    `ScoreDistribution` | `createScoreDistribution()` Create an instance of `ScoreDistribution`
    `SeasonalityExpoSmooth` | `createSeasonalityExpoSmooth()` Create an instance of `SeasonalityExpoSmooth`
    `javax.xml.bind.JAXBElement<java.lang.Object>` | `createSeasonalTrendDecomposition(java.lang.Object value)` Create an instance of `JAXBElement``<``Object``>`}
    `Segment` | `createSegment()` Create an instance of `Segment`
    `Segmentation` | `createSegmentation()` Create an instance of `Segmentation`
    `Sequence` | `createSequence()` Create an instance of `Sequence`
    `SequenceModel` | `createSequenceModel()` Create an instance of `SequenceModel`
    `SequenceReference` | `createSequenceReference()` Create an instance of `SequenceReference`
    `SequenceRule` | `createSequenceRule()` Create an instance of `SequenceRule`
    `SetPredicate` | `createSetPredicate()` Create an instance of `SetPredicate`
    `SetReference` | `createSetReference()` Create an instance of `SetReference`
    `SigmoidKernelType` | `createSigmoidKernelType()` Create an instance of `SigmoidKernelType`
    `SimpleMatching` | `createSimpleMatching()` Create an instance of `SimpleMatching`
    `SimplePredicate` | `createSimplePredicate()` Create an instance of `SimplePredicate`
    `SimpleRule` | `createSimpleRule()` Create an instance of `SimpleRule`
    `SimpleSetPredicate` | `createSimpleSetPredicate()` Create an instance of `SimpleSetPredicate`
    `javax.xml.bind.JAXBElement<java.lang.Object>` | `createSpectralAnalysis(java.lang.Object value)` Create an instance of `JAXBElement``<``Object``>`}
    `SquaredEuclidean` | `createSquaredEuclidean()` Create an instance of `SquaredEuclidean`
    `SupportVector` | `createSupportVector()` Create an instance of `SupportVector`
    `SupportVectorMachine` | `createSupportVectorMachine()` Create an instance of `SupportVectorMachine`
    `SupportVectorMachineModel` | `createSupportVectorMachineModel()` Create an instance of `SupportVectorMachineModel`
    `SupportVectors` | `createSupportVectors()` Create an instance of `SupportVectors`
    `TableLocator` | `createTableLocator()` Create an instance of `TableLocator`
    `Tanimoto` | `createTanimoto()` Create an instance of `Tanimoto`
    `Target` | `createTarget()` Create an instance of `Target`
    `Targets` | `createTargets()` Create an instance of `Targets`
    `TargetValue` | `createTargetValue()` Create an instance of `TargetValue`
    `TargetValueCount` | `createTargetValueCount()` Create an instance of `TargetValueCount`
    `TargetValueCounts` | `createTargetValueCounts()` Create an instance of `TargetValueCounts`
    `Taxonomy` | `createTaxonomy()` Create an instance of `Taxonomy`
    `TestDistributions` | `createTestDistributions()` Create an instance of `TestDistributions`
    `TextCorpus` | `createTextCorpus()` Create an instance of `TextCorpus`
    `TextDictionary` | `createTextDictionary()` Create an instance of `TextDictionary`
    `TextDocument` | `createTextDocument()` Create an instance of `TextDocument`
    `TextModel` | `createTextModel()` Create an instance of `TextModel`
    `TextModelNormalization` | `createTextModelNormalization()` Create an instance of `TextModelNormalization`
    `TextModelSimiliarity` | `createTextModelSimiliarity()` Create an instance of `TextModelSimiliarity`
    `Time` | `createTime()` Create an instance of `Time`
    `TimeAnchor` | `createTimeAnchor()` Create an instance of `TimeAnchor`
    `TimeCycle` | `createTimeCycle()` Create an instance of `TimeCycle`
    `TimeException` | `createTimeException()` Create an instance of `TimeException`
    `TimeSeries` | `createTimeSeries()` Create an instance of `TimeSeries`
    `TimeSeriesModel` | `createTimeSeriesModel()` Create an instance of `TimeSeriesModel`
    `Timestamp` | `createTimestamp()` Create an instance of `Timestamp`
    `TimeValue` | `createTimeValue()` Create an instance of `TimeValue`
    `TrainingInstances` | `createTrainingInstances()` Create an instance of `TrainingInstances`
    `TransformationDictionary` | `createTransformationDictionary()` Create an instance of `TransformationDictionary`
    `TreeModel` | `createTreeModel()` Create an instance of `TreeModel`
    `TrendExpoSmooth` | `createTrendExpoSmooth()` Create an instance of `TrendExpoSmooth`
    `True` | `createTrue()` Create an instance of `True`
    `UniformDistribution` | `createUniformDistribution()` Create an instance of `UniformDistribution`
    `UnivariateStats` | `createUnivariateStats()` Create an instance of `UnivariateStats`
    `Value` | `createValue()` Create an instance of `Value`
    `VectorDictionary` | `createVectorDictionary()` Create an instance of `VectorDictionary`
    `VectorFields` | `createVectorFields()` Create an instance of `VectorFields`
    `VectorInstance` | `createVectorInstance()` Create an instance of `VectorInstance`
    `VerificationField` | `createVerificationField()` Create an instance of `VerificationField`
    `VerificationFields` | `createVerificationFields()` Create an instance of `VerificationFields`
    `XCoordinates` | `createXCoordinates()` Create an instance of `XCoordinates`
    `YCoordinates` | `createYCoordinates()` Create an instance of `YCoordinates`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ObjectFactory

          public ObjectFactory()

      Create a new ObjectFactory that can be used to create new instances of schema derived classes for package: weka.core.pmml.jaxbbindings

  - ### Method Detail

    - #### createPPCell

          public PPCell createPPCell()

      Create an instance of `PPCell`

    - #### createTime

          public Time createTime()

      Create an instance of `Time`

    - #### createTaxonomy

          public Taxonomy createTaxonomy()

      Create an instance of `Taxonomy`

    - #### createRuleSetModel

          public RuleSetModel createRuleSetModel()

      Create an instance of `RuleSetModel`

    - #### createNode

          public Node createNode()

      Create an instance of `Node`

    - #### createDecisionTree

          public DecisionTree createDecisionTree()

      Create an instance of `DecisionTree`

    - #### createTrendExpoSmooth

          public TrendExpoSmooth createTrendExpoSmooth()

      Create an instance of `TrendExpoSmooth`

    - #### createGaussianDistribution

          public GaussianDistribution createGaussianDistribution()

      Create an instance of `GaussianDistribution`

    - #### createNeuralInputs

          public NeuralInputs createNeuralInputs()

      Create an instance of `NeuralInputs`

    - #### createVectorInstance

          public VectorInstance createVectorInstance()

      Create an instance of `VectorInstance`

    - #### createBinarySimilarity

          public BinarySimilarity createBinarySimilarity()

      Create an instance of `BinarySimilarity`

    - #### createBaseline

          public Baseline createBaseline()

      Create an instance of `Baseline`

    - #### createJaccard

          public Jaccard createJaccard()

      Create an instance of `Jaccard`

    - #### createInterval

          public Interval createInterval()

      Create an instance of `Interval`

    - #### createTargetValueCount

          public TargetValueCount createTargetValueCount()

      Create an instance of `TargetValueCount`

    - #### createPartition

          public Partition createPartition()

      Create an instance of `Partition`

    - #### createAggregate

          public Aggregate createAggregate()

      Create an instance of `Aggregate`

    - #### createRegressionModel

          public RegressionModel createRegressionModel()

      Create an instance of `RegressionModel`

    - #### createBoundaryValueMeans

          public BoundaryValueMeans createBoundaryValueMeans()

      Create an instance of `BoundaryValueMeans`

    - #### createChildParent

          public ChildParent createChildParent()

      Create an instance of `ChildParent`

    - #### createTimestamp

          public Timestamp createTimestamp()

      Create an instance of `Timestamp`

    - #### createVectorFields

          public VectorFields createVectorFields()

      Create an instance of `VectorFields`

    - #### createTransformationDictionary

          public TransformationDictionary createTransformationDictionary()

      Create an instance of `TransformationDictionary`

    - #### createCompoundPredicate

          public CompoundPredicate createCompoundPredicate()

      Create an instance of `CompoundPredicate`

    - #### createROCGraph

          public ROCGraph createROCGraph()

      Create an instance of `ROCGraph`

    - #### createModelExplanation

          public ModelExplanation createModelExplanation()

      Create an instance of `ModelExplanation`

    - #### createPMML

          public PMML createPMML()

      Create an instance of `PMML`

    - #### createCOUNTTABLETYPE

          public COUNTTABLETYPE createCOUNTTABLETYPE()

      Create an instance of `COUNTTABLETYPE`

    - #### createOutput

          public Output createOutput()

      Create an instance of `Output`

    - #### createAnnotation

          public Annotation createAnnotation()

      Create an instance of `Annotation`

    - #### createKohonenMap

          public KohonenMap createKohonenMap()

      Create an instance of `KohonenMap`

    - #### createSeasonalityExpoSmooth

          public SeasonalityExpoSmooth createSeasonalityExpoSmooth()

      Create an instance of `SeasonalityExpoSmooth`

    - #### createNumericPredictor

          public NumericPredictor createNumericPredictor()

      Create an instance of `NumericPredictor`

    - #### createTimeException

          public TimeException createTimeException()

      Create an instance of `TimeException`

    - #### createLiftData

          public LiftData createLiftData()

      Create an instance of `LiftData`

    - #### createTarget

          public Target createTarget()

      Create an instance of `Target`

    - #### createTargets

          public Targets createTargets()

      Create an instance of `Targets`

    - #### createOutputField

          public OutputField createOutputField()

      Create an instance of `OutputField`

    - #### createNeuralNetwork

          public NeuralNetwork createNeuralNetwork()

      Create an instance of `NeuralNetwork`

    - #### createRuleSelectionMethod

          public RuleSelectionMethod createRuleSelectionMethod()

      Create an instance of `RuleSelectionMethod`

    - #### createTextDictionary

          public TextDictionary createTextDictionary()

      Create an instance of `TextDictionary`

    - #### createMatrix

          public Matrix createMatrix()

      Create an instance of `Matrix`

    - #### createCompoundRule

          public CompoundRule createCompoundRule()

      Create an instance of `CompoundRule`

    - #### createMultivariateStats

          public MultivariateStats createMultivariateStats()

      Create an instance of `MultivariateStats`

    - #### createNaiveBayesModel

          public NaiveBayesModel createNaiveBayesModel()

      Create an instance of `NaiveBayesModel`

    - #### createAnova

          public Anova createAnova()

      Create an instance of `Anova`

    - #### createCovariances

          public Covariances createCovariances()

      Create an instance of `Covariances`

    - #### createNearestNeighborModel

          public NearestNeighborModel createNearestNeighborModel()

      Create an instance of `NearestNeighborModel`

    - #### createSupportVectors

          public SupportVectors createSupportVectors()

      Create an instance of `SupportVectors`

    - #### createSetPredicate

          public SetPredicate createSetPredicate()

      Create an instance of `SetPredicate`

    - #### createVerificationField

          public VerificationField createVerificationField()

      Create an instance of `VerificationField`

    - #### createTextDocument

          public TextDocument createTextDocument()

      Create an instance of `TextDocument`

    - #### createSupportVector

          public SupportVector createSupportVector()

      Create an instance of `SupportVector`

    - #### createSequenceRule

          public SequenceRule createSequenceRule()

      Create an instance of `SequenceRule`

    - #### createFieldValue

          public FieldValue createFieldValue()

      Create an instance of `FieldValue`

    - #### createTrue

          public True createTrue()

      Create an instance of `True`

    - #### createDataDictionary

          public DataDictionary createDataDictionary()

      Create an instance of `DataDictionary`

    - #### createLiftGraph

          public LiftGraph createLiftGraph()

      Create an instance of `LiftGraph`

    - #### createSimpleRule

          public SimpleRule createSimpleRule()

      Create an instance of `SimpleRule`

    - #### createAntecedentSequence

          public AntecedentSequence createAntecedentSequence()

      Create an instance of `AntecedentSequence`

    - #### createLocalTransformations

          public LocalTransformations createLocalTransformations()

      Create an instance of `LocalTransformations`

    - #### createSquaredEuclidean

          public SquaredEuclidean createSquaredEuclidean()

      Create an instance of `SquaredEuclidean`

    - #### createCon

          public Con1 createCon()

      Create an instance of `Con1`

    - #### createNormContinuous

          public NormContinuous createNormContinuous()

      Create an instance of `NormContinuous`

    - #### createSegment

          public Segment createSegment()

      Create an instance of `Segment`

    - #### createKNNInputs

          public KNNInputs createKNNInputs()

      Create an instance of `KNNInputs`

    - #### createFieldValueCount

          public FieldValueCount createFieldValueCount()

      Create an instance of `FieldValueCount`

    - #### createBayesOutput

          public BayesOutput createBayesOutput()

      Create an instance of `BayesOutput`

    - #### createClusteringModelQuality

          public ClusteringModelQuality createClusteringModelQuality()

      Create an instance of `ClusteringModelQuality`

    - #### createClusteringModel

          public ClusteringModel createClusteringModel()

      Create an instance of `ClusteringModel`

    - #### createChebychev

          public Chebychev createChebychev()

      Create an instance of `Chebychev`

    - #### createPairCounts

          public PairCounts createPairCounts()

      Create an instance of `PairCounts`

    - #### createConfusionMatrix

          public ConfusionMatrix createConfusionMatrix()

      Create an instance of `ConfusionMatrix`

    - #### createCorrelations

          public Correlations createCorrelations()

      Create an instance of `Correlations`

    - #### createSetReference

          public SetReference createSetReference()

      Create an instance of `SetReference`

    - #### createMiningBuildTask

          public MiningBuildTask createMiningBuildTask()

      Create an instance of `MiningBuildTask`

    - #### createTreeModel

          public TreeModel createTreeModel()

      Create an instance of `TreeModel`

    - #### createCorrelationFields

          public CorrelationFields createCorrelationFields()

      Create an instance of `CorrelationFields`

    - #### createCoefficients

          public Coefficients createCoefficients()

      Create an instance of `Coefficients`

    - #### createPoissonDistribution

          public PoissonDistribution createPoissonDistribution()

      Create an instance of `PoissonDistribution`

    - #### createTimeCycle

          public TimeCycle createTimeCycle()

      Create an instance of `TimeCycle`

    - #### createPredictor

          public Predictor createPredictor()

      Create an instance of `Predictor`

    - #### createBaselineCell

          public BaselineCell createBaselineCell()

      Create an instance of `BaselineCell`

    - #### createTextModelSimiliarity

          public TextModelSimiliarity createTextModelSimiliarity()

      Create an instance of `TextModelSimiliarity`

    - #### createExponentialSmoothing

          public ExponentialSmoothing createExponentialSmoothing()

      Create an instance of `ExponentialSmoothing`

    - #### createSequence

          public Sequence createSequence()

      Create an instance of `Sequence`

    - #### createPCovMatrix

          public PCovMatrix createPCovMatrix()

      Create an instance of `PCovMatrix`

    - #### createRuleSet

          public RuleSet createRuleSet()

      Create an instance of `RuleSet`

    - #### createApplication

          public Application createApplication()

      Create an instance of `Application`

    - #### createAnyDistribution

          public AnyDistribution createAnyDistribution()

      Create an instance of `AnyDistribution`

    - #### createSupportVectorMachine

          public SupportVectorMachine createSupportVectorMachine()

      Create an instance of `SupportVectorMachine`

    - #### createBayesInput

          public BayesInput createBayesInput()

      Create an instance of `BayesInput`

    - #### createMinkowski

          public Minkowski createMinkowski()

      Create an instance of `Minkowski`

    - #### createVerificationFields

          public VerificationFields createVerificationFields()

      Create an instance of `VerificationFields`

    - #### createRadialBasisKernelType

          public RadialBasisKernelType createRadialBasisKernelType()

      Create an instance of `RadialBasisKernelType`

    - #### createUniformDistribution

          public UniformDistribution createUniformDistribution()

      Create an instance of `UniformDistribution`

    - #### createInlineTable

          public InlineTable createInlineTable()

      Create an instance of `InlineTable`

    - #### createLinearNorm

          public LinearNorm createLinearNorm()

      Create an instance of `LinearNorm`

    - #### createClassLabels

          public ClassLabels createClassLabels()

      Create an instance of `ClassLabels`

    - #### createLinearKernelType

          public LinearKernelType createLinearKernelType()

      Create an instance of `LinearKernelType`

    - #### createDataField

          public DataField createDataField()

      Create an instance of `DataField`

    - #### createAssociationRule

          public AssociationRule createAssociationRule()

      Create an instance of `AssociationRule`

    - #### createKNNInput

          public KNNInput createKNNInput()

      Create an instance of `KNNInput`

    - #### createFieldRef

          public FieldRef createFieldRef()

      Create an instance of `FieldRef`

    - #### createPolynomialKernelType

          public PolynomialKernelType createPolynomialKernelType()

      Create an instance of `PolynomialKernelType`

    - #### createCounts

          public Counts createCounts()

      Create an instance of `Counts`

    - #### createCluster

          public Cluster createCluster()

      Create an instance of `Cluster`

    - #### createCharacteristic

          public Characteristic createCharacteristic()

      Create an instance of `Characteristic`

    - #### createMiningSchema

          public MiningSchema createMiningSchema()

      Create an instance of `MiningSchema`

    - #### createTextModel

          public TextModel createTextModel()

      Create an instance of `TextModel`

    - #### createCategories

          public Categories createCategories()

      Create an instance of `Categories`

    - #### createCharacteristics

          public Characteristics createCharacteristics()

      Create an instance of `Characteristics`

    - #### createPPMatrix

          public PPMatrix createPPMatrix()

      Create an instance of `PPMatrix`

    - #### createConstraints

          public Constraints createConstraints()

      Create an instance of `Constraints`

    - #### createMultivariateStat

          public MultivariateStat createMultivariateStat()

      Create an instance of `MultivariateStat`

    - #### createCorrelationMethods

          public CorrelationMethods createCorrelationMethods()

      Create an instance of `CorrelationMethods`

    - #### createNeuralOutputs

          public NeuralOutputs createNeuralOutputs()

      Create an instance of `NeuralOutputs`

    - #### createExtension

          public Extension createExtension()

      Create an instance of `Extension`

    - #### createMiningModel

          public MiningModel createMiningModel()

      Create an instance of `MiningModel`

    - #### createArrayType

          public ArrayType createArrayType()

      Create an instance of `ArrayType`

    - #### createDocumentTermMatrix

          public DocumentTermMatrix createDocumentTermMatrix()

      Create an instance of `DocumentTermMatrix`

    - #### createMiningField

          public MiningField createMiningField()

      Create an instance of `MiningField`

    - #### createHeader

          public Header createHeader()

      Create an instance of `Header`

    - #### createValue

          public Value createValue()

      Create an instance of `Value`

    - #### createSimpleMatching

          public SimpleMatching createSimpleMatching()

      Create an instance of `SimpleMatching`

    - #### createTextModelNormalization

          public TextModelNormalization createTextModelNormalization()

      Create an instance of `TextModelNormalization`

    - #### createEventValues

          public EventValues createEventValues()

      Create an instance of `EventValues`

    - #### createCoefficient

          public Coefficient createCoefficient()

      Create an instance of `Coefficient`

    - #### createComparisonMeasure

          public ComparisonMeasure createComparisonMeasure()

      Create an instance of `ComparisonMeasure`

    - #### createComparisons

          public Comparisons createComparisons()

      Create an instance of `Comparisons`

    - #### createScoreDistribution

          public ScoreDistribution createScoreDistribution()

      Create an instance of `ScoreDistribution`

    - #### createTestDistributions

          public TestDistributions createTestDistributions()

      Create an instance of `TestDistributions`

    - #### createNeuralInput

          public NeuralInput createNeuralInput()

      Create an instance of `NeuralInput`

    - #### createModelVerification

          public ModelVerification createModelVerification()

      Create an instance of `ModelVerification`

    - #### createAttribute

          public Attribute createAttribute()

      Create an instance of `Attribute`

    - #### createPredictorTerm

          public PredictorTerm createPredictorTerm()

      Create an instance of `PredictorTerm`

    - #### createRegression

          public Regression createRegression()

      Create an instance of `Regression`

    - #### createPartitionFieldStats

          public PartitionFieldStats createPartitionFieldStats()

      Create an instance of `PartitionFieldStats`

    - #### createYCoordinates

          public YCoordinates createYCoordinates()

      Create an instance of `YCoordinates`

    - #### createNeuralOutput

          public NeuralOutput createNeuralOutput()

      Create an instance of `NeuralOutput`

    - #### createFactorList

          public FactorList createFactorList()

      Create an instance of `FactorList`

    - #### createTargetValueCounts

          public TargetValueCounts createTargetValueCounts()

      Create an instance of `TargetValueCounts`

    - #### createTrainingInstances

          public TrainingInstances createTrainingInstances()

      Create an instance of `TrainingInstances`

    - #### createSigmoidKernelType

          public SigmoidKernelType createSigmoidKernelType()

      Create an instance of `SigmoidKernelType`

    - #### createSegmentation

          public Segmentation createSegmentation()

      Create an instance of `Segmentation`

    - #### createNormDiscrete

          public NormDiscrete createNormDiscrete()

      Create an instance of `NormDiscrete`

    - #### createRandomLiftGraph

          public RandomLiftGraph createRandomLiftGraph()

      Create an instance of `RandomLiftGraph`

    - #### createParameterField

          public ParameterField createParameterField()

      Create an instance of `ParameterField`

    - #### createSimplePredicate

          public SimplePredicate createSimplePredicate()

      Create an instance of `SimplePredicate`

    - #### createPCell

          public PCell createPCell()

      Create an instance of `PCell`

    - #### createScorecard

          public Scorecard createScorecard()

      Create an instance of `Scorecard`

    - #### createDecisions

          public Decisions createDecisions()

      Create an instance of `Decisions`

    - #### createParameter

          public Parameter createParameter()

      Create an instance of `Parameter`

    - #### createCovariateList

          public CovariateList createCovariateList()

      Create an instance of `CovariateList`

    - #### createConsequentSequence

          public ConsequentSequence createConsequentSequence()

      Create an instance of `ConsequentSequence`

    - #### createModelLiftGraph

          public ModelLiftGraph createModelLiftGraph()

      Create an instance of `ModelLiftGraph`

    - #### createMatCell

          public MatCell createMatCell()

      Create an instance of `MatCell`

    - #### createGeneralRegressionModel

          public GeneralRegressionModel createGeneralRegressionModel()

      Create an instance of `GeneralRegressionModel`

    - #### createTimeSeries

          public TimeSeries createTimeSeries()

      Create an instance of `TimeSeries`

    - #### createItemRef

          public ItemRef createItemRef()

      Create an instance of `ItemRef`

    - #### createSequenceModel

          public SequenceModel createSequenceModel()

      Create an instance of `SequenceModel`

    - #### createClusteringField

          public ClusteringField createClusteringField()

      Create an instance of `ClusteringField`

    - #### createRow

          public Row createRow()

      Create an instance of `Row`

    - #### createBaseCumHazardTables

          public BaseCumHazardTables createBaseCumHazardTables()

      Create an instance of `BaseCumHazardTables`

    - #### createBaselineModel

          public BaselineModel createBaselineModel()

      Create an instance of `BaselineModel`

    - #### createTableLocator

          public TableLocator createTableLocator()

      Create an instance of `TableLocator`

    - #### createSimpleSetPredicate

          public SimpleSetPredicate createSimpleSetPredicate()

      Create an instance of `SimpleSetPredicate`

    - #### createDiscretize

          public Discretize createDiscretize()

      Create an instance of `Discretize`

    - #### createDecision

          public Decision createDecision()

      Create an instance of `Decision`

    - #### createLevel

          public Level createLevel()

      Create an instance of `Level`

    - #### createFieldColumnPair

          public FieldColumnPair createFieldColumnPair()

      Create an instance of `FieldColumnPair`

    - #### createModelStats

          public ModelStats createModelStats()

      Create an instance of `ModelStats`

    - #### createEuclidean

          public Euclidean createEuclidean()

      Create an instance of `Euclidean`

    - #### createSequenceReference

          public SequenceReference createSequenceReference()

      Create an instance of `SequenceReference`

    - #### createContStats

          public ContStats createContStats()

      Create an instance of `ContStats`

    - #### createQuantile

          public Quantile createQuantile()

      Create an instance of `Quantile`

    - #### createItemset

          public Itemset createItemset()

      Create an instance of `Itemset`

    - #### createPCovCell

          public PCovCell createPCovCell()

      Create an instance of `PCovCell`

    - #### createTanimoto

          public Tanimoto createTanimoto()

      Create an instance of `Tanimoto`

    - #### createTimeAnchor

          public TimeAnchor createTimeAnchor()

      Create an instance of `TimeAnchor`

    - #### createOptimumLiftGraph

          public OptimumLiftGraph createOptimumLiftGraph()

      Create an instance of `OptimumLiftGraph`

    - #### createDerivedField

          public DerivedField createDerivedField()

      Create an instance of `DerivedField`

    - #### createREALSparseArray

          public REALSparseArray createREALSparseArray()

      Create an instance of `REALSparseArray`

    - #### createInstanceField

          public InstanceField createInstanceField()

      Create an instance of `InstanceField`

    - #### createMissingValueWeights

          public MissingValueWeights createMissingValueWeights()

      Create an instance of `MissingValueWeights`

    - #### createBaselineStratum

          public BaselineStratum createBaselineStratum()

      Create an instance of `BaselineStratum`

    - #### createROC

          public ROC createROC()

      Create an instance of `ROC`

    - #### createDelimiter

          public Delimiter createDelimiter()

      Create an instance of `Delimiter`

    - #### createDiscrStats

          public DiscrStats createDiscrStats()

      Create an instance of `DiscrStats`

    - #### createFalse

          public False createFalse()

      Create an instance of `False`

    - #### createCorrelationValues

          public CorrelationValues createCorrelationValues()

      Create an instance of `CorrelationValues`

    - #### createParameterList

          public ParameterList createParameterList()

      Create an instance of `ParameterList`

    - #### createCategory

          public Category createCategory()

      Create an instance of `Category`

    - #### createItem

          public Item createItem()

      Create an instance of `Item`

    - #### createAssociationModel

          public AssociationModel createAssociationModel()

      Create an instance of `AssociationModel`

    - #### createBayesInputs

          public BayesInputs createBayesInputs()

      Create an instance of `BayesInputs`

    - #### createNeuralLayer

          public NeuralLayer createNeuralLayer()

      Create an instance of `NeuralLayer`

    - #### createINTSparseArray

          public INTSparseArray createINTSparseArray()

      Create an instance of `INTSparseArray`

    - #### createResultField

          public ResultField createResultField()

      Create an instance of `ResultField`

    - #### createXCoordinates

          public XCoordinates createXCoordinates()

      Create an instance of `XCoordinates`

    - #### createNeuron

          public Neuron createNeuron()

      Create an instance of `Neuron`

    - #### createInstanceFields

          public InstanceFields createInstanceFields()

      Create an instance of `InstanceFields`

    - #### createPredictiveModelQuality

          public PredictiveModelQuality createPredictiveModelQuality()

      Create an instance of `PredictiveModelQuality`

    - #### createTextCorpus

          public TextCorpus createTextCorpus()

      Create an instance of `TextCorpus`

    - #### createTimeSeriesModel

          public TimeSeriesModel createTimeSeriesModel()

      Create an instance of `TimeSeriesModel`

    - #### createSupportVectorMachineModel

          public SupportVectorMachineModel createSupportVectorMachineModel()

      Create an instance of `SupportVectorMachineModel`

    - #### createConstant

          public Constant createConstant()

      Create an instance of `Constant`

    - #### createUnivariateStats

          public UnivariateStats createUnivariateStats()

      Create an instance of `UnivariateStats`

    - #### createDiscretizeBin

          public DiscretizeBin createDiscretizeBin()

      Create an instance of `DiscretizeBin`

    - #### createNumericInfo

          public NumericInfo createNumericInfo()

      Create an instance of `NumericInfo`

    - #### createMapValues

          public MapValues createMapValues()

      Create an instance of `MapValues`

    - #### createRegressionTable

          public RegressionTable createRegressionTable()

      Create an instance of `RegressionTable`

    - #### createTimeValue

          public TimeValue createTimeValue()

      Create an instance of `TimeValue`

    - #### createAnovaRow

          public AnovaRow createAnovaRow()

      Create an instance of `AnovaRow`

    - #### createDefineFunction

          public DefineFunction createDefineFunction()

      Create an instance of `DefineFunction`

    - #### createApply

          public Apply createApply()

      Create an instance of `Apply`

    - #### createCityBlock

          public CityBlock createCityBlock()

      Create an instance of `CityBlock`

    - #### createTargetValue

          public TargetValue createTargetValue()

      Create an instance of `TargetValue`

    - #### createVectorDictionary

          public VectorDictionary createVectorDictionary()

      Create an instance of `VectorDictionary`

    - #### createAlternate

          public Alternate createAlternate()

      Create an instance of `Alternate`

    - #### createBoundaryValues

          public BoundaryValues createBoundaryValues()

      Create an instance of `BoundaryValues`

    - #### createCategoricalPredictor

          public CategoricalPredictor createCategoricalPredictor()

      Create an instance of `CategoricalPredictor`

    - #### createParamMatrix

          public ParamMatrix createParamMatrix()

      Create an instance of `ParamMatrix`

    - #### createSpectralAnalysis

          public javax.xml.bind.JAXBElement<java.lang.Object> createSpectralAnalysis(java.lang.Object value)

      Create an instance of `JAXBElement``<``Object``>`}

    - #### createREALEntries

          public javax.xml.bind.JAXBElement<java.util.List<java.lang.Double>> createREALEntries(java.util.List<java.lang.Double> value)

      Create an instance of `JAXBElement``<``List``<``Double``>``>`}

    - #### createINTEntries

          public javax.xml.bind.JAXBElement<java.util.List<java.lang.Integer>> createINTEntries(java.util.List<java.lang.Integer> value)

      Create an instance of `JAXBElement``<``List``<``Integer``>``>`}

    - #### createCountTable

          public javax.xml.bind.JAXBElement<COUNTTABLETYPE> createCountTable(COUNTTABLETYPE value)

      Create an instance of `JAXBElement``<``COUNTTABLETYPE``>`}

    - #### createARIMA

          public javax.xml.bind.JAXBElement<java.lang.Object> createARIMA(java.lang.Object value)

      Create an instance of `JAXBElement``<``Object``>`}

    - #### createIndices

          public javax.xml.bind.JAXBElement<java.util.List<java.lang.Integer>> createIndices(java.util.List<java.lang.Integer> value)

      Create an instance of `JAXBElement``<``List``<``Integer``>``>`}

    - #### createSeasonalTrendDecomposition

          public javax.xml.bind.JAXBElement<java.lang.Object> createSeasonalTrendDecomposition(java.lang.Object value)

      Create an instance of `JAXBElement``<``Object``>`}

    - #### createNormalizedCountTable

          public javax.xml.bind.JAXBElement<COUNTTABLETYPE> createNormalizedCountTable(COUNTTABLETYPE value)

      Create an instance of `JAXBElement``<``COUNTTABLETYPE``>`}

    - #### createArray

          public javax.xml.bind.JAXBElement<ArrayType> createArray(ArrayType value)

      Create an instance of `JAXBElement``<``ArrayType``>`}